import type { Styles } from '../../common';
import type { NotificationOptions, TypeNotificationProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    list: any[];
}, {
    add(options: TypeNotificationProps): number;
    remove(index: number): void;
    removeAll(): void;
    getOffset(val: string | number): string | number;
    notificationStyles(item: {
        offset: NotificationOptions['offset'];
        zIndex: number;
    }): Styles;
    getListeners(index: number): {
        'close-btn-click': () => void;
        'duration-end': () => void;
    };
}, {
    styles: Styles;
}, {
    placement: string;
}>;
export default _default;
